Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.iDOC_CREMAS03_4X_46A
Class IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1

    java.lang.Object
      IDocGroup
          com.stc.sapale.iDOC_CREMAS03_4X_46A.IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1

Enclosing class:
  IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A

public static class IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1
extends IDocGroup

See Also:
  Serialized Form

Nested Class Summary
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1A001`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFASM`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFBKM002`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5`
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7`

Constructor Summary
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1()` Constructor - Creates a new instance of Group1.

Method Summary
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1A001` | `getE2LFA1A001()` Return a E2LFA1A001 representation of the SAP type E2LFA1A001.
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001` | `getE2LFA1M001()` Return a E2LFA1M001 representation of the SAP type E2LFA1M001.
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFBKM002` | `getE2LFBKM002(int index)` getE2LFBKM002
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2` | `getGroup2(int index)` getGroup2
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3` | `getGroup3(int index)` getGroup3
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5` | `getGroup5(int index)` getGroup5
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7` | `getGroup7(int index)` getGroup7
`boolean` | `hasE2LFASM()` Tests whether any E2LFASM nodes are present or not.
`boolean` | `hasE2LFASM(int index)` Tests whether the element at the index position of E2LFASM is present.
`boolean` | `hasE2LFBKM002()` Tests whether any E2LFBKM002 nodes are present or not.
`boolean` | `hasE2LFBKM002(int index)` Tests whether the element at the index position of E2LFBKM002 is present.
`boolean` | `hasGroup2(int index)` Tests whether the element at the index position of Group2 is present.
`boolean` | `hasGroup3()` Tests whether any Group3 nodes are present or not.
`boolean` | `hasGroup3(int index)` Tests whether the element at the index position of Group3 is present.
`boolean` | `hasGroup5()` Tests whether any Group5 nodes are present or not.
`boolean` | `hasGroup5(int index)` Tests whether the element at the index position of Group5 is present.
`boolean` | `hasGroup7(int index)` Tests whether the element at the index position of Group7 is present.
`OtdMeta` | `meta()` Gets the OtdMeta root.
`void` | `reset()` Clears out any data and resources held by this OTD instance.
`void` | `setE2LFA1A001(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1A001 value)` Set the value of E2LFA1A001
`void` | `setE2LFA1M001(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001 value)` Set the value of E2LFA1M001
`void` | `setE2LFASM(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFASM[] value)` setE2LFASM
`void` | `setE2LFBKM002(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFBKM002[] value)` setE2LFBKM002
`void` | `setGroup2(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2[] value)` setGroup2
`void` | `setGroup3(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3[] value)` setGroup3
`void` | `setGroup5(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5[] value)` setGroup5
`void` | `setGroup7(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7[] value)` setGroup7
`java.lang.StringBuffer` | `stringMarshal()` Marshal this group object into a byte array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1()

  Constructor - Creates a new instance of Group1.

Method Detail

### getE2LFA1A001

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1A001 getE2LFA1A001()

  Return a E2LFA1A001 representation of the SAP type E2LFA1A001.

  Returns:
    A E2LFA1A001 representation of E2LFA1A001.

### getE2LFA1M001

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001 getE2LFA1M001()

  Return a E2LFA1M001 representation of the SAP type E2LFA1M001.

  Returns:
    A E2LFA1M001 representation of E2LFA1M001.

### getE2LFBKM002

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFBKM002 getE2LFBKM002(int index)
                                                                         throws java.lang.IndexOutOfBoundsException

  getE2LFBKM002

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getGroup2

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2 getGroup2(int index)
                                                                 throws java.lang.IndexOutOfBoundsException

  getGroup2

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getGroup3

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3 getGroup3(int index)
                                                                 throws java.lang.IndexOutOfBoundsException

  getGroup3

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getGroup5

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5 getGroup5(int index)
                                                                 throws java.lang.IndexOutOfBoundsException

  getGroup5

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getGroup7

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7 getGroup7(int index)
                                                                 throws java.lang.IndexOutOfBoundsException

  getGroup7

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### hasE2LFASM

    public boolean hasE2LFASM()

  Tests whether any E2LFASM nodes are present or not.

  Returns:
    true if E2LFASM exists else false.

### hasE2LFASM

    public boolean hasE2LFASM(int index)

  Tests whether the element at the index position of E2LFASM is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if E2LFASM exists else IndexOutOfBoundsException.

### hasE2LFBKM002

    public boolean hasE2LFBKM002()

  Tests whether any E2LFBKM002 nodes are present or not.

  Returns:
    true if E2LFBKM002 exists else false.

### hasE2LFBKM002

    public boolean hasE2LFBKM002(int index)

  Tests whether the element at the index position of E2LFBKM002 is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if E2LFBKM002 exists else IndexOutOfBoundsException.

### hasGroup2

    public boolean hasGroup2(int index)

  Tests whether the element at the index position of Group2 is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if Group2 exists else IndexOutOfBoundsException.

### hasGroup3

    public boolean hasGroup3()

  Tests whether any Group3 nodes are present or not.

  Returns:
    true if Group3 exists else false.

### hasGroup3

    public boolean hasGroup3(int index)

  Tests whether the element at the index position of Group3 is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if Group3 exists else IndexOutOfBoundsException.

### hasGroup5

    public boolean hasGroup5()

  Tests whether any Group5 nodes are present or not.

  Returns:
    true if Group5 exists else false.

### hasGroup5

    public boolean hasGroup5(int index)

  Tests whether the element at the index position of Group5 is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if Group5 exists else IndexOutOfBoundsException.

### hasGroup7

    public boolean hasGroup7(int index)

  Tests whether the element at the index position of Group7 is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if Group7 exists else IndexOutOfBoundsException.

### meta

    public OtdMeta meta()

  Gets the OtdMeta root.

  Returns:
    Run-time tree of data nodes.

### reset

    public void reset()

  Clears out any data and resources held by this OTD instance.

### setE2LFA1A001

    public void setE2LFA1A001(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1A001 value)

  Set the value of E2LFA1A001

  Parameters:
    `value` - The E2LFA1A001 value for E2LFA1A001.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setE2LFA1M001

    public void setE2LFA1M001(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001 value)

  Set the value of E2LFA1M001

  Parameters:
    `value` - The E2LFA1M001 value for E2LFA1M001.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setE2LFASM

    public void setE2LFASM(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFASM[] value)

  setE2LFASM

### setE2LFBKM002

    public void setE2LFBKM002(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFBKM002[] value)

  setE2LFBKM002

### setGroup2

    public void setGroup2(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group2[] value)

  setGroup2

### setGroup3

    public void setGroup3(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group3[] value)

  setGroup3

### setGroup5

    public void setGroup5(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group5[] value)

  setGroup5

### setGroup7

    public void setGroup7(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.Group7[] value)

  setGroup7

### stringMarshal

    public java.lang.StringBuffer stringMarshal()

  Marshal this group object into a byte array.

  Returns:
    Group byte array.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.